Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#6825 closed enhancement (fixed)

"Miro Bridge" a new MythTV script enhancement

Reported by: r.d.vaughan@… Owned by: Isaac Richards
Priority: minor Milestone: 0.22
Component: Contributed Scripts & Apps Version: head
Severity: low Keywords: Miro, integration, script
Cc: Ticket locked: no

Description

A new MythTV contributor script is now available as a beta release.

"Miro Bridge" integrates Miro video Channels with MythTV's Watch Recordings screen and MythVideo?.

For a complete list of features and example screen shots please see the Miro Bridge wiki page at: http://www.mythtv.org/wiki/MiroBridge

Miro can be found at http://www.getmiro.com/

Attachments (14)

mirobridge_v0.3.0_Beta.tar.gz (37.6 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.3.0 Beta release
mirobridge_v0.3.1_Beta.tar.gz (37.7 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.3.1 Beta is a complete replacement of previous versions
mirobridge_v0.3.2_Beta.tar.gz (35.2 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.3.2 Beta is a complete replaces previous versions
mirobridge_v0.3.3.tar.gz (35.2 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.3.3 full release
mirobridge_v0.3.4.tar.gz (34.8 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.3.4 Completely replaces all previous releases
mirobridge_v0.3.5.tar.gz (35.1 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.3.5 Completely replaces all previous releases
mirobridge_v0.3.6.tar.gz (35.9 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.3.6 Completely replaces all previous releases
mirobridge_v0.3.7.tar.gz (39.8 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.3.7 Completely replaces all previous releases
mirobridge_v0.3.8.tar.gz (40.1 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.3.8 Completely replaces all previous releases
mirobridge_v0.3.9.tar.gz (37.1 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.3.9 Completely replaces all previous releases
mirobridge_v0.4.0.tar.gz (37.5 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.4.0 Completely replaces all previous releases
mirobridge_v0.4.1.tar.gz (37.9 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.4.1 Completely replaces all previous releases
mirobridge_v0.4.2.tar.gz (37.6 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.4.2 Completely replaces all previous releases
mirobridge_v0.4.3.tar.gz (38.2 KB) - added by r.d.vaughan@… 10 years ago.
Miro Bridge v0.4.3 Completely replaces all previous releases

Download all attachments as: .zip

Change History (37)

Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.0 Beta release

Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.1 Beta is a complete replacement of previous versions

comment:1 Changed 10 years ago by r.d.vaughan@…

!! Miro Bridge v0.3.1 is a complete replacement for previous versions !!

Miro Bridge v0.3.1

1) Changed the check for Imagmagick convert utility and ffmpeg as the positive return value is different on some distributions (0 or 1). The fail value is consistent (127).

2) Fixed the environment test option (-t) as there were conditions when it could give a false positive "success message"

comment:2 in reply to:  1 ; Changed 10 years ago by tsx_5@…

Replying to r.d.vaughan@rogers.com:

Running 0.3.1 on mandriva system (using python 2.6), it crashes at the end...

Shutting down... Traceback (most recent call last):

File "/usr/local/share/mythtv/mythvideo/scripts/mirobridge.py", line 2196, in <module>

main()

File "/usr/local/share/mythtv/mythvideo/scripts/mirobridge.py", line 2171, in main

if not updateMythRecorded(unwatched):

File "/usr/local/share/mythtv/mythvideo/scripts/mirobridge.py", line 1415, in updateMythRecorded

records = createRecordedRecords(item)

File "/usr/local/share/mythtv/mythvideo/scripts/mirobridge.py", line 1037, in createRecordedRecords

tmp_recorded[u'description'] = massageDescription(item[u'description'])

File "/usr/local/share/mythtv/mythvideo/scripts/mirobridge.py", line 647, in massageDescription

anyTag,anyClose = makeHTMLTags(Word(alphas,alphanums+":_"))

File "/usr/lib/python2.6/site-packages/pyparsing.py", line 2572, in makeHTMLTags

return _makeTags( tagStr, False )

File "/usr/lib/python2.6/site-packages/pyparsing.py", line 2562, in _makeTags

Optional("/",default=[False]).setResultsName("empty").setParseAction(lambda s,l,t:t[0]=='/') + Suppress(">")

File "/usr/lib/python2.6/site-packages/pyparsing.py", line 1011, in init

self.matchLen = len(matchString)

TypeError?: object of type 'Word' has no len()

Nasa

comment:3 in reply to:  2 Changed 10 years ago by anonymous

Replying to tsx_5@yahoo.com: Nasa,

I have sent you an email with a special version of Miro Bridge to help track down this problem.

Please send me via email the entire output from your next test run with the special Miro Bridge version.

Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.2 Beta is a complete replaces previous versions

comment:4 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.2

1) Fixed a bug when an empty item description would abort the script on an "extras" request

2) Fixed a bug when the Watched item processing failed message would abort the script

3) Fixed a bug when a user accidental deletes a video file symlink then the video symlink is NOT recreated as it should have been.

4) Fixed a bug where double quotes in the title or subtitle caused issues with file names

5) Added to the statistics report the total number of Miro-MythVideo? videos that will eventually be expired and removed by Miro.

6) Added an info log message with the Miro Bridge version number, which may help in problem analysis.

7) Added trapping and diagnostic messages when the HTML tags could not be removed from a description.

8) Added a check and abort if the installed "pyparsing" python library is not at least v1.5.0 (thanks Nasa)

9) Added detection of a Miro video deletion though the MythVideo? user interface. The next time Miro Bridge is run the Miro data base and associated graphics will be automatically cleaned up.

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.3.3.tar.gz added

Miro Bridge v0.3.3 full release

comment:5 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.3 Full Release replaces all previous releases

This is the full release. There were no code changes over the last Beta release so this is just a version change to designate from the Beta releases.

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.3.4.tar.gz added

Miro Bridge v0.3.4 Completely replaces all previous releases

comment:6 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.4 Replaces all previous versions!

1) Fixed a script abort when checking for orphaned videometadata records and there were no Miro-MythTV videometadata records to process.

2) Added additional detection and restrictions to the supported versions of Miro (minimum v2.0.3) preferrably v2.5.2 or higher.

3) Removed the source file mirobridge_events.py now using Miro's native cli events.py instead.

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.3.5.tar.gz added

Miro Bridge v0.3.5 Completely replaces all previous releases

comment:7 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.5 Replaces all previous versions!

1) Use the MythVideo?.py binding new rmMetadata() routine to delete old videometatdata records.

2) Added read/write access checks for all directories that Miro Bridge needs to use

This version of Miro Bridge requires change set r21461 or higher

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.3.6.tar.gz added

Miro Bridge v0.3.6 Completely replaces all previous releases

comment:8 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.6 Modifications as per requested changes.

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.3.7.tar.gz added

Miro Bridge v0.3.7 Completely replaces all previous releases

comment:9 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.7 replaces all previous versions

Fixed a bug with previous modifications that impacted Miro v2.0.3 only

comment:10 Changed 10 years ago by craftyguy@…

Running Miro 2.5.2 and python-2.6, I receive the following error:

mythtv@crafty_pvr ~ $ /usr/share/mythtv/mythvideo/scripts/mirobridge.py -t /usr/lib64/python2.6/site-packages/MySQLdb/init__.py:34: DeprecationWarning?: the sets module is deprecated

from sets import ImmutableSet?

2009-08-29 11:19:46,953 - mirobridge - INFO - Using python library 'pyparsing' version 1.5.1 2009-08-29 11:19:47,151 - mirobridge - CRITICAL - Importing Miro functions has an issue. Miro must be installed and functional.

Miro is configured and working properly AFAIK (successfully autodownloading, etc)

comment:11 in reply to:  10 Changed 10 years ago by anonymous

Replying to craftyguy@gmail.com:

I have sent you an email on a suggested approach to determining the issue. The error means that miro_bridge.py cannot access the Miro code it needs to interface with Miro's functionality. See the email for further information.

comment:12 Changed 10 years ago by craftyguy@…

Thanks for the quick response! Executing the following gets me past that error: mythtv@crafty_pvr ~ $ env dbus-launch sh -c 'trap "kill $DBUS_SESSION_BUS_PID" EXIT; /usr/share/mythtv/mythvideo/scripts/mirobridge.py -t'

I tried to follow the wiki for setting this up, but the recommended fix for that error was in a later step(Finally adding Miro Bridge as a cron job) than the one I was at (Test that your installation is properly configured).

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.3.8.tar.gz added

Miro Bridge v0.3.8 Completely replaces all previous releases

comment:13 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.8 replaces all previous versions

1) Fixed Unicode errors with file names

2) Change to graphic file names to assist SG image hunting added the suffix "_coverart, _fanart, _banner, _screenshot" respectively for any copied/created graphics.

comment:14 Changed 10 years ago by anonymous

Hi,

Back again... 1st off, lots of debugging info provided by default -- very good idea! That said, here's what it is giving me as it *crashes*. Crashes may not be the right term as it leaves processes running (stopped with simple kill commands). The same thing happens within crontab or straight terminal.

usr/local/share/mythtv/mythvideo/scripts/mirobridge.py -V > check /usr/lib/python2.6/site-packages/MySQLdb/init__.py:34: DeprecationWarning?: the sets module is deprecated

from sets import ImmutableSet?

2009-09-01 20:10:54,931 - mirobridge - INFO - Using python library 'pyparsing' version 1.5.2 2009-09-01 20:10:55,149 - mirobridge - INFO - Miro Bridge version v0.3.8 with Miro version 2.5.2 2009-09-01 20:10:55,150 - mirobridge - INFO - Using mirobridge_interpreter_2_5_2 2009-09-01 20:10:55,160 - mirobridge - INFO - Miro Version (2.5.2 r9928) 2009-09-01 20:10:55,160 - mirobridge - INFO - Base Miro Video Directory (/home/mythtv/Movies/Miro) 2009-09-01 20:10:55,160 - mirobridge - INFO - 2009-09-01 20:10:55,163 - mirobridge - INFO - The was no mirobridge configuration file found (/home/mythtv/.mythtv/mirobridge.conf) 2009-09-01 20:10:55,177 - mirobridge - INFO - Starting Miro Frontend and Backend 2009-09-01 20:10:55,178 INFO Starting up Miro 2009-09-01 20:10:55,179 INFO Version: 2.5.2 2009-09-01 20:10:55,183 INFO OS: Linux 2.6.31-desktop-0.rc4.1mnb i686 2009-09-01 20:10:55,184 INFO Revision: https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.5.2/tv/resources - 9928 2009-09-01 20:10:55,184 INFO Builder: mandriva@… 2009-09-01 20:10:55,184 INFO Build Time: 1249411223.82 2009-09-01 20:10:55,185 INFO Starting event loop thread 2009-09-01 20:10:55,186 INFO Restoring database... 2009-09-01 20:10:55,188 TIMING Database upgrade time: 0.003 2009-09-01 20:10:55,194 INFO setup tabs 2009-09-01 20:10:55,201 INFO theme 2009-09-01 20:10:55,203 INFO Checking movies directory '/home/mythtv/Movies/Miro/'... 2009-09-01 20:10:55,799 TIMING idle (run in event loop) too slow (0.555 secs) 2009-09-01 20:10:55,800 INFO Starting auto downloader... 2009-09-01 20:10:55,886 INFO failed() called; generating crash report. 2009-09-01 20:10:55,890 INFO ----- CRASH REPORT (DANGER CAN HAPPEN) ----- 2009-09-01 20:10:55,891 INFO App: Miro Publisher: Participatory Culture Foundation Platform: gtk-x11 Python: 2.6.2 (r262:71600, Jul 11 2009, 07:37:11) [GCC 4.4.0] Py Path: ['/usr/local/share/mythtv/mythvideo/scripts', '/usr/lib/python26.zip', '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk', '/usr/lib/python2.6/lib-old', '/usr/lib/python2.6/lib-dynload', '/usr/lib/python2.6/site-packages', '/usr/lib/python2.6/site-packages/Numeric', '/usr/lib/python2.6/site-packages/PIL', '/usr/lib/python2.6/site-packages/gst-0.10', '/usr/lib/python2.6/site-packages/gtk-2.0'] Version: 2.5.2 Serial: 20090730000 Revision: https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.5.2/tv/resources - 9928 Builder: mandriva@… Build Time: 1249411223.82 Time: Tue Sep 1 20:10:55 2009 When: While handling idle (run in event loop)

Exception


Traceback (most recent call last):

File "/usr/lib/python2.6/site-packages/miro/trapcall.py", line 42, in trap_call

function(*args, kwargs)

File "/usr/local/share/mythtv/mythvideo/scripts/mirobridge/mirobridge_interpreter_2_5_2.py", line 71, in runThenSet

return_hack.append(func(*args, kwargs))

File "/usr/local/share/mythtv/mythvideo/scripts/mirobridge/mirobridge_interpreter_2_5_2.py", line 221, in do_mythtv_update_autodownload

autodler.start_downloader()

File "/usr/lib/python2.6/site-packages/miro/autodler.py", line 203, in start_downloader

auto_downloader = Downloader(True)

File "/usr/lib/python2.6/site-packages/miro/autodler.py", line 65, in init

self.pending_on_add(None, item)

File "/usr/lib/python2.6/site-packages/miro/autodler.py", line 142, in pending_on_add

feed = obj.get_feed()

AttributeError?: 'IconCache?' object has no attribute 'get_feed'

Call stack


File "/usr/lib/python2.6/site-packages/miro/trapcall.py", line 47, in trap_call

signals.system.failed_exn(when)

Threads


Current: Event Loop Active:

2009-09-01 20:10:55,891 INFO ----- END OF CRASH REPORT ----- 2009-09-01 20:10:55,897 INFO failed() called; generating crash report. 2009-09-01 20:10:55,899 INFO ----- CRASH REPORT (DANGER CAN HAPPEN) ----- 2009-09-01 20:10:55,899 INFO App: Miro Publisher: Participatory Culture Foundation Platform: gtk-x11 Python: 2.6.2 (r262:71600, Jul 11 2009, 07:37:11) [GCC 4.4.0] Py Path: ['/usr/local/share/mythtv/mythvideo/scripts', '/usr/lib/python26.zip', '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk', '/usr/lib/python2.6/lib-old', '/usr/lib/python2.6/lib-dynload', '/usr/lib/python2.6/site-packages', '/usr/lib/python2.6/site-packages/Numeric', '/usr/lib/python2.6/site-packages/PIL', '/usr/lib/python2.6/site-packages/gst-0.10', '/usr/lib/python2.6/site-packages/gtk-2.0'] Version: 2.5.2 Serial: 20090730000 Revision: https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.5.2/tv/resources - 9928 Builder: mandriva@… Build Time: 1249411223.82 Time: Tue Sep 1 20:10:55 2009 When: While handling idle (Start Downloads)

Exception


Traceback (most recent call last):

File "/usr/lib/python2.6/site-packages/miro/trapcall.py", line 42, in trap_call

function(*args, kwargs)

File "/usr/lib/python2.6/site-packages/miro/autodler.py", line 109, in start_downloads_idle

self.feed_running_count.get(key, 0) +

AttributeError?: Downloader instance has no attribute 'feed_new_count'

Call stack


File "/usr/lib/python2.6/site-packages/miro/trapcall.py", line 47, in trap_call

signals.system.failed_exn(when)

Startup success.


  • ERROR *

App:        Miro
Publisher:  Participatory Culture Foundation
Platform:   gtk-x11
Python:     2.6.2 (r262:71600, Jul 11 2009, 07:37:11)  [GCC 4.4.0]
Py Path:    ['/usr/local/share/mythtv/mythvideo/scripts', '/usr/lib/python26.zip', '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk', '/usr/lib/python2.6/lib-old', '/usr/lib/python2.6/lib-dynload', '/usr/lib/python2.6/site-packages', '/usr/lib/python2.6/site-packages/Numeric', '/usr/lib/python2.6/site-packages/PIL', '/usr/lib/python2.6/site-packages/gst-0.10', '/usr/lib/python2.6/site-packages/gtk-2.0']
Version:    2.5.2
Serial:     20090730000
Revision:   https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.5.2/tv/resources - 9928
Builder:    mandriva@n2.mandriva.com
Build Time: 1249411223.82
Time:       Tue Sep  1 20:10:55 2009
When:       While handling idle (run in event loop)

Exception
---------
When:       While handling idle (run in event loop)

Exception
---------
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/miro/trapcall.py", line 42, in trap_call
    function(*args, **kwargs)
  File "/usr/local/share/mythtv/mythvideo/scripts/mirobridge/mirobridge_interpreter_2_5_2.py", line 71, in runThenSet
    return_hack.append(func(*args, **kwargs))
  File "/usr/local/share/mythtv/mythvideo/scripts/mirobridge/mirobridge_interpreter_2_5_2.py", line 221, in do_mythtv_update_autodownload
Publisher:  Participatory Culture Foundation
Publisher:  Participatory Culture Foundation
Platform:   gtk-x11
Publisher:  Participatory Culture Foundation
Platform:   gtk-x11
Python:     2.6.2 (r262:71600, Jul 11 2009, 07:37:11)  [GCC 4.4.0]
Py Path:    ['/usr/local/share/mythtv/mythvideo/scripts', '/usr/lib/python26.zip', '/usr/lib/python2.6', '/usr/lib/python2.6/plat-linux2', '/usr/lib/python2.6/lib-tk', '/usr/lib/python2.6/lib-old', '/usr/lib/python2.6/lib-dynload', '/usr/lib/python2.6/site-packages', '/usr/lib/python2.6/site-packages/Numeric', '/usr/lib/python2.6/site-packages/PIL', '/usr/lib/python2.6/site-packages/gst-0.10', '/usr/lib/python2.6/site-packages/gtk-2.0']
Version:    2.5.2
Serial:     20090730000
Revision:   https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.5.2/tv/resources - 9928
Builder:    mandriva@n2.mandriva.com
Build Time: 1249411223.82
Time:       Tue Sep  1 20:10:55 2009
When:       While handling idle (Start Downloads)

Exception
---------
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/miro/trapcall.py", line 42, in trap_call
    function(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/miro/autodler.py", line 109, in start_downloads_idle
    self.feed_running_count.get(key, 0) +
AttributeError: Downloader instance has no attribute 'feed_new_count'
Call stack
----------
  File "/usr/lib/python2.6/site-packages/miro/trapcall.py", line 47, in trap_call
    signals.system.failed_exn(when)

Threads
-------
Current: Event Loop
Active:
 - MainThread
 - ThreadPool - 0 [Daemon]
 - Event Loop
 - ThreadPool - 1 [Daemon]
 - ThreadPool - 2 [Daemon]
Log
---
2009-09-01 20:10:55,178 INFO     Starting up Miro
2009-09-01 20:10:55,179 INFO     Version:    2.5.2
2009-09-01 20:10:55,183 INFO     OS:         Linux 2.6.31-desktop-0.rc4.1mnb i686
2009-09-01 20:10:55,184 INFO     Revision:   https://svn.participatoryculture.org/svn/dtv/tags/Miro-2.5.2/tv/resources - 9928
2009-09-01 20:10:55,184 INFO     Builder:    mandriva@n2.mandriva.com
2009-09-01 20:10:55,184 INFO     Build Time: 1249411223.82
2009-09-01 20:10:55,185 INFO     Starting event loop thread
2009-09-01 20:10:55,186 INFO     Restoring database...
2009-09-01 20:10:55,188 TIMING   Database upgrade time: 0.003
2009-09-01 20:10:55,194 INFO     setup tabs
2009-09-01 20:10:55,201 INFO      theme
2009-09-01 20:10:55,203 INFO     Checking movies directory '/home/mythtv/Movies/Miro/'...
2009-09-01 20:10:55,799 TIMING   idle (run in event loop) too slow (0.555 secs)
2009-09-01 20:10:55,800 INFO     Starting auto downloader...
2009-09-01 20:10:55,886 INFO     failed() called; generating crash report.

comment:16 Changed 10 years ago by robertm

Please don't use trac as a support forum. Take your discussion to the dev list.

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.3.9.tar.gz added

Miro Bridge v0.3.9 Completely replaces all previous releases

comment:17 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.3.9

1) Fixed an issue when deleting a Miro video and the title/subtitle was not found due to special characters. The search and matching is now more robust.

2) Fixed a bug where file name unicode errors caused an abort when creating screen shots.

3) Removed from the mirobridge.conf file the sections "[tv] and [movies]". This functionality has been added to the Jamu v0.5.0 -MW option as of change set [21897].

4) Added a check for locally available banners and fanart files when creating a MythVideo? record. This is added as Jamu v0.5.0 option -MW downloads graphics from TVDB and TMDB for Miro videos when available.

5) Modified the check for mirobridge.conf to accommodate the needs of Mythbuntu.

6) Added mythcommflag seektable building for both recordings and mythvideo Miro videos.

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.4.0.tar.gz added

Miro Bridge v0.4.0 Completely replaces all previous releases

comment:18 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.4.0 Replaces previous versions

Fixed an abort where a variable had not been named properly due to a cut and paste error.

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.4.1.tar.gz added

Miro Bridge v0.4.1 Completely replaces all previous releases

comment:19 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.4.1

1) Added a check that no other instance of Miro Bridge or Miro is already running. If there is then post a critical error message and exit. More than one occurrence of either or these programs can cause a race condition on a single CPU core.

2) Do not add the Miro Bridge default banner when a Miro video has no subtitle as it overlaps the title display on MythVideo? information pop-ups.

3) Fixed a bug where a folder icon was being created even when it already existed.

comment:20 Changed 10 years ago by danielk

Milestone: 0.22unknown
Version: unknownhead

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.4.2.tar.gz added

Miro Bridge v0.4.2 Completely replaces all previous releases

comment:21 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.4.2

Added a missing import for "htmlentitydefs" which is rarely used in the description/plot XTML parsing. Thanks to Norm for finding this error.

Changed 10 years ago by r.d.vaughan@…

Attachment: mirobridge_v0.4.3.tar.gz added

Miro Bridge v0.4.3 Completely replaces all previous releases

comment:22 Changed 10 years ago by r.d.vaughan@…

Miro Bridge v0.4.3

1) New Miro Videos added to the Default recordings directory have their names conform to MythTV standards of "CHANID_ISODATETIME.ext". This resolves an obscure bug that could resulted in orphaned screen shot graphics and issues with Miro video deletions from the Watch Recordings screen if MiroBridge? was run when the user had MythTV started and in the Watch Recordings screen.

2) Added support for audio type detection (2-channel, 6-channel, ...) that matches changes in ffmpeg. ffmpeg is used in the detection of a video file's audio properties.

comment:22 Changed 10 years ago by robertm

Resolution: fixed
Status: newclosed

(In [22236]) Fixes #6825. Adds a new script to contrib, MiroBridge?. MiroBridge? is a script written by Doug Vaughan to integrate vodcast/podcast free video programming into Myth's recordings. Video programming such as Revision3, NASA Vodcasts, etc. appear in the Watch Recordings screen w/ full description, video and audio flags, and generated previews. Detailed instructions on setup and troubleshooting information can be found at the mirobridge wiki page, but minimally this script, miro, ffmpeg, and python are required.

comment:23 Changed 10 years ago by robertm

Milestone: unknown0.22
Note: See TracTickets for help on using tickets.